低危 在Dict.cc中的find()

CVE编号

CVE-2019-9903

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-03-22
漏洞描述
PDFDoc: markObject PDFDoc。Poppler 0.74.0中的cc错误地处理了dict标记,导致位于Dict.cc的函数dict::find()中的堆栈消耗,该函数可以(例如)通过将一个制作好的pdf文件传递给pdfunite二进制文件来触发。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 freedesktop poppler 0.74.0 -
运行在以下环境
系统 centos_8 poppler * Up to
(excluding)
0.66.0-11.el8_0.12
运行在以下环境
系统 debian_10 poppler * Up to
(excluding)
0.71.0-5
运行在以下环境
系统 debian_9 poppler * Up to
(excluding)
0.48.0-2+deb9u2
运行在以下环境
系统 fedora_28 poppler * Up to
(excluding)
0.62.0-22.fc28
运行在以下环境
系统 fedora_29 poppler * Up to
(excluding)
0.67.0-18.fc29
运行在以下环境
系统 fedora_30 poppler * Up to
(excluding)
0.73.0-8.fc30
运行在以下环境
系统 opensuse_Leap_15.3 poppler * Up to
(excluding)
0.62.0-4.6.1
运行在以下环境
系统 oracle_8 poppler * Up to
(excluding)
0.66.0-11.el8_0.12
运行在以下环境
系统 redhat_8 poppler * Up to
(excluding)
0.66.0-11.el8_0.12
运行在以下环境
系统 ubuntu_16.04 poppler * Up to
(excluding)
0.41.0-0ubuntu1.14
运行在以下环境
系统 ubuntu_18.04 poppler * Up to
(excluding)
0.62.0-2ubuntu2.9
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况